aMSN Forums
January 19, 2018, 08:19:22 pm *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: New forum for aMSN !!
 
   Home   Help Search Login Register  
Pages: [1] 2 3 4
  Print  
Author Topic: Cannot login after downloading TLS  (Read 93817 times)
king2
Newbie

Offline Offline

Posts: 8


View Profile
« on: March 28, 2007, 03:11:15 pm »

EDIT BY MODERATOR :
This thread has been made sticky because it contains all the info you need if you ever get problems in installing TLS or logging into amsn because it can't find TLS.
This is not a step by step howto, so you need to read all the pages of this thread to be sure you didn't forget anything. READ IT ALL please before asking any question.


Here is what happens :

My system : Kubuntu  6.10

amsn : i have installed 0.96 , after that i saw svn version and have installed that version .

It seems to work verry good , indeed it dit.

Till i read how to use anti-aliased fonts .

Now i have a great looking program , but it wont log in .

what happens : TLS module is downloaded over and over again , but amsn is not connecting .

I start amsn from consolle and i dont see any logs or whatever , i would like to  post them if i know how to get them.

any help is apreciated , thank you ...........
Logged
king2
Newbie

Offline Offline

Posts: 8


View Profile
« Reply #1 on: March 28, 2007, 03:26:42 pm »

by the way i have read the faq :-) well i believe esspeccially : TLS does not seem to work and I have tcl/tk 8.5. How can I fix it ?

Tls is downloaded and located  so it is there
have installed the package also with apt-get
Logged
kakaroto
Administrator
Super Power User
*****
Offline Offline

Posts: 9428


View Profile WWW
« Reply #2 on: March 28, 2007, 03:27:54 pm »

search the forum ( I think you did already, but not correctly :p)
you need tcltls 1.5 (I think that's what amsn downloads) so go to where your TLS module is installed (if it's downloaded by amsn, it shoul be in ~/.amsn/plugins/libtls1.5) and open the pkgIndex.tcl file and change the 'package ifneeded 1.5' into 'package ifneeded 1.50'
tcl/tk 8.5 is more strict on package versions and TLS has a bug in their module version..
make sure you also have only one version of TLS, having multiple versions might cause a conflict (maybe in ~/.amsn/plugins and maybe in /usr/lib/libtls1.5 or /usr/local/lib/libtls1.5)
Logged

KaKaRoTo
king2
Newbie

Offline Offline

Posts: 8


View Profile
« Reply #3 on: March 28, 2007, 03:58:56 pm »

I have un installed with apt-get tls .

i have start amsn again ( before that remove tls from plugin folder ) .
TLS is downloaded again
after that amsn is not connecting .

if i look at the plugins folder :

i see: tls1.50 folder

open the file with kate :

package ifneeded tls 1.50 "[list load [file join $dir libtls-1.50.so] ] ; [list source [file join $dir tls.tcl] ]"

it seems i have not installed 2 versions anymore so ...

stil msn is not connecting , and after every start it will try to download the tls file again
Logged
king2
Newbie

Offline Offline

Posts: 8


View Profile
« Reply #4 on: March 28, 2007, 05:43:04 pm »

i have found an script on ubuntu forum , it will give me an older version , but i dont care iam online with amsn.

on the other side , there is a possibillity to get the bleeding edge version , ..

trying out the normal version , amsn works
trying out the bleeding edge version i have the same problem as i described , so iam on amsn 0.96 for now .......
Logged
vivia
Administrator
Super Power User
*****
Offline Offline

Posts: 2464


View Profile
« Reply #5 on: March 28, 2007, 06:08:29 pm »

wait, you said amsn redownloaded tls?.... are you REALLY sure it's not in 2 places?...

sudo apt-get remove tcltls just to be sure
Logged
kakaroto
Administrator
Super Power User
*****
Offline Offline

Posts: 9428


View Profile WWW
« Reply #6 on: March 28, 2007, 06:38:13 pm »

amsn downloads tls when it fails to load it, failing to load TLS can be either because it's not found or because there is a problem with the one installed..
so even if you have tls installed but it's not modified to work with tcl/tk 8.5, then amsn wills till tell you to download it (which is why it keeps asking you to redownload).
Logged

KaKaRoTo
king2
Newbie

Offline Offline

Posts: 8


View Profile
« Reply #7 on: March 28, 2007, 06:53:05 pm »

i have done what you told me to do .....didnot work out for me so............

for now  iam back to an older version for now and keep away from the cvs cersion :-)
Logged
kakaroto
Administrator
Super Power User
*****
Offline Offline

Posts: 9428


View Profile WWW
« Reply #8 on: March 28, 2007, 07:21:14 pm »

ok.. but the svn version doesnt' change anything on the way tls is handled... only tcl/tk 8.5 does..
Logged

KaKaRoTo
king2
Newbie

Offline Offline

Posts: 8


View Profile
« Reply #9 on: March 28, 2007, 08:04:23 pm »

i know but my knowledge is not big enough to solve this ptoblem , even with the script i have used , and install the cvs version i have the problem .

i have fillowed the aliased fonts howto, after that i end up with a really nice amsn , but also with problems ..

i can afcourse install the cvs version tommorrow if this problem is intresting for you , iam free tommorrow , but because iam not an expert i need help after that
Logged
linuxdady
Newbie

Offline Offline

Posts: 5


View Profile
« Reply #10 on: March 30, 2007, 07:05:07 pm »

I had the exactly same problem on PCLinuxOS. After installing svn version with tcl8.5, the TLS was loading over and over again.
I created symlink from /usr/lib/tls1.50 to ~.amsn/plugins and it works!

But- this works only if I rename or delete the old ~.amsn folder and let amsn create a new one. I cannot force the svn version to use my old settings with my smileys, plugins........ I had to create all that from scratch.
Logged
king2
Newbie

Offline Offline

Posts: 8


View Profile
« Reply #11 on: April 01, 2007, 04:52:02 pm »

thanks will try that , cvs version is realy great .................
Logged
king2
Newbie

Offline Offline

Posts: 8


View Profile
« Reply #12 on: April 01, 2007, 07:08:37 pm »

strange it does work now
Logged
Valérian
Newbie

Offline Offline

Posts: 13


View Profile WWW
« Reply #13 on: April 24, 2007, 09:33:46 pm »

Hi,

I have the same problem but I can't resolve it. I searched on the board but all the solutions I tried didn't work Sad

Does someone know how te fix my problem?

Information:
aMSN 0.97 SVN
Ubuntu Feisty
compiled with tcl/tk8.5

Thanks.
Logged
vivia
Administrator
Super Power User
*****
Offline Offline

Posts: 2464


View Profile
« Reply #14 on: April 24, 2007, 09:57:18 pm »

and changing pkgIndex.tcl to say 1.50 didn't work either?

press Ctrl+C from the contact list and in there type : package require tls
Logged
Pages: [1] 2 3 4
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.11 | SMF © 2006-2009, Simple Machines LLC Valid XHTML 1.0! Valid CSS!